<?php

namespace EventPortal\Domain\Event\Actions;

use EventPortal\Contracts\HasFields;
use EventPortal\Domain\Field\Models\Field;
use EventPortal\Domain\Response\Models\Response;

class ArchiveEvent
{
    public function execute(HasFields $event): void
    {
        $field = Field::query()
            ->forModel($event)
            ->onlyChildren()
            ->firstWhere('name', 'status');

        Response::updateOrCreate(
            ['field_id' => $field->id],
            [
                'field_id' => $field->id,
                'value' => [
                    'label' => 'Archived',
                    'value' => 'archived',
                ],
            ]
        );
    }
}
