<?php

namespace EventPortal\Domain\Form;

use EventPortal\Contracts\HasFields;
use EventPortal\Domain\Util\ValidationRules;

class FormSubmission
{
    public function store(Form $form, array $data): HasFields
    {
        $this->validate($form, $data, 'create');

        return $form->getModel()::create()
            ->initialiseFields($form->content)
            ->saveToFields($data);
    }

    public function update(Form $form, array $data): HasFields
    {
        $this->validate($form, $data, 'update');

        return $form->getModel()->saveToFields($data);
    }

    private function validate(Form $form, array $data, string $action): self
    {
        request()->validate(ValidationRules::forForm($form, $action), $data);

        return $this;
    }
}
