<?php

use Illuminate\Pipeline\Pipeline;

class FormRegistry
{
    private $saveHandlers;

    public function registerSaveHandler(string $formName, callable $saveHandler)
    {
        $this->saveHandlers[$formName][] = $saveHandler;
    }

    public function saveData(string $formName, array $input)
    {
        return app(Pipeline::class)
            ->send($input)
            ->through($this->saveHandlers)
            ->then(function () {
                return redirect()->to('/');
            });
    }
}
